## org.eclipse.datatools.modelbase.sql.query
Interface MergeInsertSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, MergeOperationSpecification, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface MergeInsertSpecification

extends MergeOperationSpecification

A representation of the model object 'Merge Insert Specification'. SQL syntax: WHEN NOT MATCHED THEN INSERT <target column list> VALUES <insert value list> where <target column list> is a simple list of column names <insert value list> is a list of value expressions Note that the MergeInsertSpecification object does not "own" the column objects in the target column list. They are "owned" by the table object in the MergeTargetTable

The following features are supported:

- `Target Column List`
- `Source Values Row`

See Also:
  `SQLQueryModelPackage.getMergeInsertSpecification()`

Method Summary
`ValuesRow` `getSourceValuesRow()` Returns the value of the 'Source Values Row' containment reference.
`org.eclipse.emf.common.util.EList` `getTargetColumnList()` Returns the value of the 'Target Column List' reference list.
`void` `setSourceValuesRow(ValuesRow value)` Sets the value of the '`Source Values Row`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.MergeOperationSpecification
`getMergeStatement, setMergeStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTargetColumnList

    org.eclipse.emf.common.util.EList getTargetColumnList()

  Returns the value of the 'Target Column List' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Merge Insert Spec`'.

  If the meaning of the 'Target Column List' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getMergeInsertSpecification_TargetColumnList()`, `ValueExpressionColumn.getMergeInsertSpec()`

### getSourceValuesRow

    ValuesRow getSourceValuesRow()

  Returns the value of the 'Source Values Row' containment reference.

  If the meaning of the 'Source Values Row' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Values Row' containment reference.
  See Also:
    `setSourceValuesRow(ValuesRow)`, `SQLQueryModelPackage.getMergeInsertSpecification_SourceValuesRow()`

### setSourceValuesRow

    void setSourceValuesRow(ValuesRow value)

  Sets the value of the '`Source Values Row`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Values Row' containment reference.
  See Also:
    `getSourceValuesRow()`